Subject: Re: solar catalogs

From: [email-masked]
Date: Wed, 22 Feb 1995 06:22:02 -0500

Just got my copy of the Sunelco catalog in the mail this afternoon - list
price is $5, but called their toll free number, (800) 338-6844, and they sent
the 122 page planning guide and product catalog for free (not exactly sure if
it's what you are looking for, besides solar panels, they carry fridges,
pumps, low watt bulbs, etc.  don't know what else you had in mind.